Get Audit Logs
get audit logs based on filters specified in query
Query Filters
{
"user_name": "admin@local",
"ip_address": "192.168.0.1",
"entity_type": "VCenterDataSource",
"entity_id": "18230:3:187309184",
"operation": "UPDATE",
"response": "string",
"size": 0,
"cursor": "MTA=",
"time_range": {
"start_time": 1597247025,
"end_time": 1597247999
}
}
Username making the change
Client IP that is making the change
Entity Type of object being changed
Entity ID of object being changed
Operation on object being changed
Response from VCF Operations for networks, whether it's successfull or not
size
Cursor for the next page of logs
time_range
OK
{
"results": [
{
"ip_address": "string",
"user_name": "string",
"entity_type": "string",
"entity_id": "string",
"operation": "string",
"response": "string",
"value": "string",
"timestamp": 0
}
],
"cursor": "ML12eu02==",
"start_time": 1504739809,
"end_time": 1504739809
}
results
Cursor for the next page of logs
Start timestamp of the window of the objects returned
End timestamp of the window of the objects returned
Bad Request
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Unauthorized
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Internal error
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/logs/audit